Update an existing event

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose: Use this endpoint to update an existing event.

📘

NOTE

This event will return the response as error for the following scenarios.

  • If the earlier event and the current event are same. For example, if you've already created and OFF_DUTY event and are trying to create another OFF_DUTY event for the same driver.
  • If the earlier event was actually a driving event.

Sample Requests

{
  "id":2,
  "time":"2024-03-31T00:09:00"
}
{
  "id":2,
  "type":"off_duty"
}

Response Parameters

id

  • Type: Integer
  • Description: The unique identifier of the event.

time

  • Type: String (DateTime)
  • Description: The timestamp when the event occurred.

type

  • Type: String
  • Description: The type of event (e.g., on_duty).

city

  • Type: String
  • Description: The city where the event took place (if available).

state

  • Type: String
  • Description: The state where the event took place (if available).

notes

  • Type: String
  • Description: Any additional notes associated with the event.

location

  • Type: String
  • Description: The specific location of the event.

origin

  • Type: String
  • Description: The source of the event (e.g., api).

created_at

  • Type: String (DateTime)
  • Description: The timestamp when the event was created.

updated_at

  • Type: String (DateTime)
  • Description: The timestamp when the event was last updated.

driver

  • Type: Object
  • Description: Contains details about the driver associated with the event.

id

  • Type: Integer
  • Description: The unique identifier of the driver.

first_name

  • Type: String
  • Description: The first name of the driver.

last_name

  • Type: String
  • Description: The last name of the driver.

username

  • Type: String
  • Description: The username of the driver.

email

  • Type: String
  • Description: The email address of the driver.

driver_company_id

  • Type: Integer
  • Description: The company ID associated with the driver or the user. (if applicable).

status

  • Type: String
  • Description: The current status of the user (e.g., active).

role

  • Type: String
  • Description: The role of the user (e.g., driver).

Path Params
int32
required

Specify the ID of the event that you want to update.

Body Params
string
required

Update the notes of the existing event.

date

Specify the time of the event that you are updating.

string

Update the type of the event. Allowed values are:

  • on_duty
  • off_duty

string

Specify the CITY of the updated event.

string

Specify the STATE of the updated event.

string

Specify the LOCATION of the updated event.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml
text/plain